eurephiadm certs(7)

NAME
eurephiadm-certs - Certificate management for eurephia

DESCRIPTION
Available modes for the certificate command are:

-A | --add
    Register a new certificate

-D | --delete
    Delete a registered certificate

-l | --list
    List all registered certificates

-h | --help <mode>
Help about a specific mode

LIST MODE
The list mode will list all registered certificates. It accepts one parameter:

-S | --sort <sort key>
    Decide the sort order of the certificate list

Available sort keys are:

    certid
     Numeric certificate ID

    depth
     Certificate depth

    digest
     Certificate SHA1 digest

    cname
     Certificate Common Name field

    org
     Certificate organisation field

    email
     Certificate e-mail address field

    registered
     When the certificate was registered in eurephia.

ADD MODE
The add mode will register a new certificate.

-d | --depth
    Certificate depth, required.

-D | --digest
    SHA1 fingerprint/digest of the new certificate

-C | --common-name
    Common name (CN) field of the certificate

-O | --organisation
    Organisation (O) field of the certificate

-E | --email
    e-mail address (emailAddress) of the certificate

Usually the certificate depth value needs to be 0, if you are registering user account certificates. CA certificates usually have a value bigger than 0.

If you have the certificate file available, you can use the following options to retrieve the needed information directly from a certificate file.

-f | --certfile
    File name of the certificate file.

-p | --pkcs12
    If the file is in PKCS#12 format.

The default format is PEM format, unless --pkcs12 is given. These two options cannot be used together with -D, -C, -O or -E. But the certificate depth must be given to indicate the certificate depth.

DELETE MODE
The delete mode will remove a certificate from the certificate database.

-i | --certid
    Indicates a unique certificate ID

-d | --digest
    A unique SHA1 fingerprint/digest value

-C | --common-name
    Common Name (CN) field of a certificate

-O | --organisation
    Organisation (O) field of a certificate

-E | --email
    e-mail address (emailAddress) of a certificate

You can use any of these parameters to indicate a search criteria for the certificate (or certificates) you want to delete. You will be provided with a list over certificates which matches your search criteria and you will need to approve the deletion of the matching certificate(s).

SEE ALSO
eurephiadm-users(7), eurephiadm-usercerts(7)

AUTHOR
Copyright (C) 2008-2012 David Sommerseth <dazo@users.sourceforge.net>